Package org.apache.ignite.internal.processors.pool

## Interface MetricsAwareExecutorService

All Known Implementing Classes:
  `IgniteStripedThreadPoolExecutor`, `IgniteThreadPoolExecutor`, `SecurityAwareStripedExecutor`, `SecurityAwareStripedThreadPoolExecutor`, `SecurityAwareThreadPoolExecutor`, `StripedExecutor`

    public interface MetricsAwareExecutorService

Executor service that supports self-registration of metrics.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `registerMetrics​(MetricRegistryImpl mreg)` Register thread pool metrics.

### Method Detail

#### registerMetrics

    void registerMetrics​(MetricRegistryImpl mreg)

Register thread pool metrics.

Parameters:
  `mreg` - Metrics registry.